using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using UIEditor;
using System;

namespace ObjectEditor
{
    public static class ObjectEditorController
    {
        public const string version = "1.2";

        public static Type[] allowedTypes = new[]
        {
                typeof(bool),
                typeof(string),
                typeof(int),
                typeof(float),
                typeof(Color),
                typeof(Vector3),
                typeof(Vector2),
                typeof(Cartridge)
            };

        public static List<GameObject> inspectedObjects = new List<GameObject>();

        public static void Open()
        {
            if (SelectionController.Main.SelectedObjects.Count == 0)
                return;

            GameObject gameObject = SelectionController.Main.SelectedObjects.First().gameObject;

            if (inspectedObjects.Contains(gameObject))
                return;

            inspectedObjects.Add(gameObject);

            UIBuilder.CreateImage(UIElements.CANVAS_CENTER, new Vector2(260f, 350f)).gameObject.AddComponent<ObjectEditorBehaviour>();
        }
    }
}